#-------------------------------------------------
#
# Project created by QtCreator 2013-01-18T22:25:37
#
#-------------------------------------------------

QT       += core gui opengl

CONFIG  += serialport mobility
MOBILITY += multimedia

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets multimedia serialport

TARGET = QRepRap
TEMPLATE = app


SOURCES += src/main.cpp\
        src/mainwindow.cpp \
    src/ply_parser.cpp \
    src/utils.cpp \
    src/stl_parser.cpp \
    src/off_parser.cpp \
    src/obj_parser.cpp \
    src/mesh.cpp \
    src/filereader.cpp \
    src/3ds_parser.cpp \
    src/serialconsole.cpp \
    src/viewer.cpp \
    src/slice.cpp \
    src/gcoder.cpp \
    src/gcodeviewer.cpp \
    src/printsettings.cpp \
    src/kdtree.cpp \
    src/simpletextedit.cpp \
    src/delay.cpp \
    src/streamwriter.cpp \
    src/temperaturegraph.cpp

HEADERS  += src/mainwindow.h \
    src/vec.h \
    src/utils.h \
    src/mesh.h \
    src/filereader.h \
    src/3ds.h \
    src/matrix.h \
    src/serialconsole.h \
    src/viewer.h \
    src/gcoder.h \
    src/gcodeviewer.h \
    src/printsettings.h \
    src/kdtree.h \
    src/simpletextedit.h \
    src/delay.h \
    src/generickdtree.h \
    src/streamwriter.h \
    src/temperaturegraph.h

FORMS    += src/mainwindow.ui \
    src/printsettings.ui

QMAKE_CXXFLAGS += -fopenmp -std=gnu++0x -mtune=native -fno-signed-zeros -fno-trapping-math -fno-math-errno
QMAKE_CXXFLAGS_RELEASE += -O3

LIBS += -lgomp -lGLU

RESOURCES += \
    sounds.qrc \
    i18n.qrc \
    icons.qrc

TRANSLATIONS += i18n/qreprap_fr.ts \
	i18n/qreprap_en.ts
