#include "mainwindow.h"
#include <QApplication>
#include <QLocale>
#include <QTranslator>
#include <QFile>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setApplicationName("QRepRap");
    a.setApplicationVersion("1.0.0");
    a.setOrganizationName("Roland Brochard");

	QString open_filename;

	for(const QString &arg : a.arguments())
	{
		if (arg.isEmpty())
			continue;
		const QString ARG = arg.toUpper();
		if (ARG.endsWith(".3DS") || ARG.endsWith(".OBJ") || ARG.endsWith(".STL") || ARG.endsWith(".OFF") || ARG.endsWith(".PLY"))
		{
			if (QFile::exists(arg))
				open_filename = arg;
		}
	}

    QTranslator *translator = new QTranslator;
    translator->load(QLocale::system(), ":/i18n/qreprap", "_");
    a.installTranslator(translator);

    QTranslator *translator_qt = new QTranslator;
    translator_qt->load(QLocale::system(), "/usr/share/qt/translations/qt", "_");
    if (translator_qt->isEmpty())
    {
#if QT_VERSION >= QT_VERSION_CHECK(5,0,0)
		if (!translator_qt->load(QLocale::system(), "/usr/share/qt5/translations/qt", "_"))
			translator_qt->load(QLocale::system(), "/usr/share/qt4/translations/qt", "_");	// Try to fall back to Qt4 translations
#else
        translator_qt->load(QLocale::system(), "/usr/share/qt4/translations/qt", "_");
#endif
    }
    a.installTranslator(translator_qt);

    MainWindow w;
    w.show();

	if (!open_filename.isEmpty())
		w.openMesh(open_filename);

    return a.exec();
}
