#ifndef SIMPLETEXTEDIT_H
#define SIMPLETEXTEDIT_H

#include <QWidget>
#include <QList>

class SimpleTextEdit : public QWidget
{
    Q_OBJECT
public:
    explicit SimpleTextEdit(QWidget *parent = 0);

    QByteArray toPlainText() const;
    int getScrollPosition() const;
    int getMaxScroll() const;
	size_t getSize() const;

signals:
    void maxScrollChanged(int);
    void scrollPositionChanged(int);

public slots:
    void setPlainText(const QByteArray &text);
    void setScrollPosition(const int);
    void append(const QByteArray &text);
    void popFront();
	void setMaxSize(size_t max_size);

protected:
    virtual void paintEvent(QPaintEvent *);
    virtual void wheelEvent(QWheelEvent *);
    virtual void resizeEvent(QResizeEvent *);

private:
    QList<QByteArray> data;
    int scroll_position;
    int max_scroll;
	int font_height;
	int font_width;
	size_t max_size;
};

#endif // SIMPLETEXTEDIT_H
